textures/ICN_beta2/skybox
{
	qer_editorimage textures/ICN_beta2/skybox.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
	q3map_surfacelight 600
	q3map_sun 1.0 1.0 1.0 300 75 30
	q3map_sunExt 1.0 1.0 1.0 300 0 0 0.5 16
	skyparms env/ICN_beta2/ICN 512 -
}

textures/ICN_beta2/water
{
	qer_editorimage textures/ICN_beta2/water1.tga
	qer_trans 0.657
	surfaceparm lightfilter
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	{
		map textures/ICN_beta2/water1.jpg
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcmod scroll 0.05 0.05
	}
	{
		map textures/ICN_beta2/water2.jpg
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcmod scroll 0.05 -0.05
	}
	{
		map textures/ICN_beta2/water3.jpg
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcmod scroll -0.07 0
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ICN_beta2/snow
{
	qer_editorimage textures/ICN_beta2/snow.tga
	q3map_surfacelight 100
	surfaceparm dust
	{
		map textures/ICN_beta2/snow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ICN_beta2/snow_soft
{
	qer_editorimage textures/ICN_beta2/snow.tga
	q3map_surfacelight 100
	surfaceparm dust
	surfaceparm nodamage
	{
		map textures/ICN_beta2/snow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ICN_beta2/iceberg
{
	qer_editorimage textures/ICN_beta2/iceberg.tga
	surfaceparm slick
	{
		map textures/ICN_beta2/iceberg.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ICN_beta2/icebrick
{
	qer_editorimage textures/ICN_beta2/icebrick.tga
	surfaceparm slick
	{
		map textures/ICN_beta2/icebrick.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ICN_beta2/icefloor
{
	qer_editorimage textures/ICN_beta2/icefloor.tga
	surfaceparm slick
	{
		map textures/ICN_beta2/icefloor.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ICN_beta2/blue_light
{
	qer_editorimage textures/ICN_beta2/blue_light.tga
	q3map_surfacelight 16384
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/ICN_beta2/blue_light.tga
	}
}

textures/ICN_beta2/blue_stonelight
{
	qer_editorimage textures/ICN_beta2/blue_stone.tga
	surfaceparm nolightmap
	cull disable
	{
		map textures/ICN_beta2/blue_stone.tga
	}
}

textures/ICN_beta2/red_light
{
	qer_editorimage textures/ICN_beta2/red_light.tga
	q3map_surfacelight 16384
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/ICN_beta2/red_light.tga
	}
}

textures/ICN_beta2/red_stonelight
{
	qer_editorimage textures/ICN_beta2/red_stone.tga
	surfaceparm nolightmap
	cull disable
	{
		map textures/ICN_beta2/red_stone.tga
	}
}

textures/ICN_beta2/white_light
{
	qer_editorimage textures/ICN_beta2/white_light.tga
	q3map_surfacelight 16384
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/ICN_beta2/white_light.tga
	}
}